@echo off
REM **********************************
REM *** BIN2PPW.CMD Version 01.061 ***
REM **********************************
REM ***
REM *** This sample batch file takes a single parameter (the name of
REM *** the binary file).
REM ***
REM *** Tested under WIN2000, minor changes may be required for other
REM *** operating systems.
REM ***
REM *** WINNT   : "BIN2PPW.CMD" should work as is
REM *** WIN95-ME: "BIN2PPW.BAT" should work as is
REM *** OS/2    : "BIN2PPW.CMD", remove "regina"
REM *** Unix    : May only need removeal of "setlocal", can't remember if
REM ***           environment variable replacement uses %EnvVar% syntax...
REM ***
REM *** SWITCHES YOU CAN ADD
REM *** ~~~~~~~~~~~~~~~~~~~~
REM *** /Define:BIN2PPW_VERIFY
REM *** /Define:BIN2PPW_C2X
REM *** /Define:BIN2PPW_REBUILD_FILE=filename
REM ***
REM ***


setlocal
set TmpFile=%TMP%\bin2ppw.TMP
set NewFile=%2
if "%NewFile%" == "" set NewFile=%1
set Options=/Define:BIN2PPW_VERIFY /Define:BIN2PPW_REBUILD_FILE=%NewFile%

REM *** Create EXAMPLE.H from EXAMPLE.GIF ***
regina ppwizard /Define:INFILE=%1 bin2ppw.h %Options% /output:%TmpFile% /option:Warnings='-GEN0:' /Making:Making{x20}Header{x20}File{x20}from{x20}%1
del %TmpFile% >nul 2>&1
