#----------------------------------------------------------------------------
#     MODULE NAME:   PAGE1.MAK
#
#         $Author:   USER "Dennis"  $
#       $Revision:   1.0  $
#           $Date:   16 Mar 2001 19:12:28  $
#        $Logfile:   C:/DBAREIS/Projects.PVCS/PpwAddOn/NMAKE/page1.mak.pvcs  $
#
#     DESCRIPTION:   Sample make file.
#
#                      * Shows how "out\page1.htm" should be made if
#                        required.
#
#                      * "out\make.inc" is created when "out\page1.htm" is.
#
#                      * "out\make.inc" tells the make process when
#                        "out\page1.htm" needs remaking.
#
#                    The other main alternative which required no support
#                    via nmake.h etc is to do something like:
#
#                        out\make.inc::
#                           ppwizard page1.it /output:out\*.htm /DependsOn:-out\*.dep
#
#                    In which case the make program will always run ppwizard
#                    and ppwizard will decide if the html needs rebuilding.
#                    Ppwizard will not output startup messages etc unless it
#                    needs to build the html.
#----------------------------------------------------------------------------

#### If out of date how should it be built ##################################
out\page1.htm:
   ppwizard page1.it /output:out\*.htm



#### PPWIZARD will create update this file for its dependancies #############
!if exist("out\make.inc")
!include <out\make.inc>
!endif
